#ifndef __UTIL_H__
#define __UTTL_H__

#include <sys/types.h>
#include <stdlib.h>

void *abac_xmalloc(size_t);
char *abac_xstrdup(char *);
void *abac_xrealloc(void *, size_t);
void abac_split(char *string, char *delim, char **ret, int *num);

#ifdef DEBUG
#define debug_printf(...) fprintf(stderr, __VA_ARGS__)
#else
#define debug_printf(...) do { } while (0)
#endif

#endif /* __UTIL_H__ */
